Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class RibbonBorderShaper

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.ui.RibbonBorderShaper

public class RibbonBorderShaper extends Object
Utility class for computing outlines of ribbons and ribbon toggle buttons.

## Constructor Summary

Constructors
Constructor
Description
`RibbonBorderShaper()`

## Method Summary

Modifier and Type
Method
Description
`static GeneralPath`
`getRibbonBorderOutline(org.pushingpixels.flamingo.api.ribbon.JRibbon ribbon, int startX, int endX, int startSelectedX, int endSelectedX, int topY, int bandTopY, int bottomY, float radius)`
`static float`
`getRibbonToggleButtonRadius(JComponent comp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonBorderShaper

public RibbonBorderShaper()

## Method Details

### getRibbonToggleButtonRadius

public static float getRibbonToggleButtonRadius(JComponent comp)

### getRibbonBorderOutline

public static GeneralPath getRibbonBorderOutline(org.pushingpixels.flamingo.api.ribbon.JRibbon ribbon, int startX, int endX, int startSelectedX, int endSelectedX, int topY, int bandTopY, int bottomY, float radius)